NVME-GET-NS-ID(1)

NAME
nvme-get-ns-id - Retrieves the namespace ID for an NVMe block device

SYNOPSIS

nvme get-ns-id <device> [--output-format=<fmt> | -o <fmt>] [--verbose | -v]

DESCRIPTION

Retrieves the namespace ID for an NVMe block device. The <device> param is mandatory and must be an NVMe block device (ex: /dev/nvme0n1).

OPTIONS

-o <fmt>, --output-format=<fmt>
    Set the reporting format to normal, json or binary. Only one output format can be used at a time.

-v, --verbose
    Increase the information detail in the output.

EXAMPLES

    • Shows the namespace id for the given block device:

        # nvme get-ns-id /dev/nvme0n1

NVME

Part of the nvme-user suite